No Game Center love for older iPhone 3G and iPod 1st gen

If you look carefully at Apple Game Center’s page, and if you are also a owner of older generation iPhone 3G and iPod 1st gen, you will experience a feeling of sadness, Why? Because Apple left them out. The game Center introduced in iOS 4.1 will¬† only be compatible with iPhone 3GS and iPhone 4, ¬†iPod Touch 2nd, 3rd and 4th generation. It will interesting to know though if a potential jailbreak can bring the Game Center to the older devices the same way multi-tasking was implemented on jailbroken 3G, but even so, I will expect the performance to be rather bad.

Related posts:

Tags: , , , , , ,